<div class="ideflux-post">
    <div class="header">
        <div class="votes">
            Votes :
            <div [ngClass]="{'activeOk': isVoteUp }" class="icon-ok">
                <mat-icon (click)="upVote(true)">thumb_up_alt</mat-icon>
            </div>
            <div>
                {{ getResponseVote() }}
            </div>
            <div [ngClass]="{'activeBad': isVoteDown }" class="icon-bad">
                <mat-icon (click)="upVote(false)">thumb_down_alt</mat-icon>
            </div>
        </div>

        <span class="title">{{ getIdefluxTitle() }}</span>
        
        <div class="tags">
            <div *ngFor="let tag of getIdefluxTags()" class="labels">
                <app-tag [tag]="tag"></app-tag>
            </div>
        </div>
    </div>

    <hr>

    <div *ngFor="let x of list" class="content">
        <pre *ngIf="x.isCode">
            <code [highlight]="x.code" (highlighted)="onHighlight($event)"></code>
        </pre>
        <div *ngIf="!x.isCode"
             [innerHTML]="x.text"
             class="description">
        </div>
    </div>



    <div class="right">
        <div *ngIf="isGithubLink()">
            <div class="button-pj">
                <button mat-button ><a href="{{ getGitLink() }}">Voir git</a></button>
            </div>
        </div>
        <div *ngIf="isModify()">
            <div class="button-pj">
                <button mat-button (click)="openDialogIdeflux()">Modifier le contenu</button>
            </div>
        </div>
        <div class="user">
            Crée par : {{ getCreatedUser() }}
        </div>
    </div>
    <hr class="solid">

    <div *ngFor="let response of getResponseList()" class="response-list">
        <app-response
        class="app-response"
        [response] = "response"
        ></app-response>
    </div>

    <div *ngIf="isLog()" class="createResponse">
        <app-form-response
            [postId] = "getPostId()"
        ></app-form-response>
    </div>
    
</div>
